Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server
Class ServerEntityHelper

`java.lang.Object
oracle.ovs.api.datamodel.server.ServerEntityHelper`

      public class ServerEntityHelper

extends java.lang.Object

Clone datamodel. Just for internal usage.

Constructor Summary
`ServerEntityHelper()`

Method Summary
`static MasterVirtualServer` | `cloneMasterVirtualServerFromOvsServer(oracle.ovs.datamodel.OvsServer ovsServer)`
`static oracle.ovs.datamodel.OvsServer` | `cloneOvsServerFromMasterVirtualServer(MasterVirtualServer masterServer)`
`static oracle.ovs.datamodel.OvsServer` | `cloneOvsServerFromUtilityVirtualServer(UtilityVirtualServer utilityServer)` Clone datamodel from UtilityVirtualServer to OvsServer.
`static oracle.ovs.datamodel.OvsServer` | `cloneOvsServerFromVirtualServer(VirtualServer virtualServer)` Clone datamodel from VirutalServer to OvsServer.
`static UtilityVirtualServer` | `cloneUtiltyVirtualServerFromOvsServer(oracle.ovs.datamodel.OvsServer ovsServer)`
`static VirtualServer` | `cloneVirtualServerFromOvsServer(oracle.ovs.datamodel.OvsServer server)` Clone datamodel from OvsServer to VirtualServer.
`static oracle.ovs.datamodel.OvsServer` | `getOvsServerFromServerConfig(oracle.ovs.datamodel.OvsSite site, VirtualServerConfig serverConfig)` Convert Server Config object to Server object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerEntityHelper

    public ServerEntityHelper()

Method Detail

### cloneOvsServerFromVirtualServer

    public static oracle.ovs.datamodel.OvsServer cloneOvsServerFromVirtualServer(VirtualServer virtualServer)

  Clone datamodel from VirutalServer to OvsServer.
  Parameters:
    `virtualServer` -
  See Also:
    `VirtualServer`

### cloneOvsServerFromMasterVirtualServer

    public static oracle.ovs.datamodel.OvsServer cloneOvsServerFromMasterVirtualServer(MasterVirtualServer masterServer)

### cloneOvsServerFromUtilityVirtualServer

    public static oracle.ovs.datamodel.OvsServer cloneOvsServerFromUtilityVirtualServer(UtilityVirtualServer utilityServer)

  Clone datamodel from UtilityVirtualServer to OvsServer.
  Parameters:
    `utilityServer` -
  See Also:
    `UtilityVirtualServer`, `OvsServer`

### cloneUtiltyVirtualServerFromOvsServer

    public static UtilityVirtualServer cloneUtiltyVirtualServerFromOvsServer(oracle.ovs.datamodel.OvsServer ovsServer)

### cloneMasterVirtualServerFromOvsServer

    public static MasterVirtualServer cloneMasterVirtualServerFromOvsServer(oracle.ovs.datamodel.OvsServer ovsServer)

### cloneVirtualServerFromOvsServer

    public static VirtualServer cloneVirtualServerFromOvsServer(oracle.ovs.datamodel.OvsServer server)

  Clone datamodel from OvsServer to VirtualServer.
  Parameters:
    `server` -
  See Also:
    `OvsServer`, `VirtualServer`

### getOvsServerFromServerConfig

    public static oracle.ovs.datamodel.OvsServer getOvsServerFromServerConfig(oracle.ovs.datamodel.OvsSite site,
                                                                              VirtualServerConfig serverConfig)
                                                                       throws oracle.ovs.biz.exception.OVSException

  Convert Server Config object to Server object.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.